Get all archived contract approvals
get
/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/ContractArchivedApproval
Request
Path Parameters
-
contractsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Contracts resource and used to uniquely identify an instance of Contracts. The client should not generate the hash key value. Instead, the client should query on the Contracts collection resource in order to navigate to a specific instance of Contracts to get the hash key.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables:- PrimaryKey :Finds an archived contract approval with task ID, domain, version and assignee.
Finder Variables:- Assignee :The assignee of the archived approval.
- AssigneeType :The assignee type of the archived approval.
- Domain :The domain of the archived approval.
- TaskId :The task ID of the archived approval.
- Version :The version of the archived approval.
- PrimaryKey :Finds an archived contract approval with task ID, domain, version and assignee.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AcquiredBy; string; The acquired by user of the archived contract approval.
- ActionDate; string; The action date of the archived contract approval.
- Assignee; string; The assignee of the archived contract approval.
- AssigneeType; string; The assignee type of the archived contract approval.
- CompletedDate; string; The completion date of the archived contract approval.
- CreatedBy; string; The user who created the archived contract approval.
- CreationDate; string; The date when the archived contract approval.
- DisplayName; string; The display name of the archived contract approval.
- Domain; string; The domain of the archived contract approval.
- EffectiveEndDate; string; The effective end date of the archived contract approval.
- EffectiveStartDate; string; The effective start date of the archived contract approval.
- IdentificationKey; string; The identification key of the archived contract approval.
- LastUpdateDate; string; The last update date of the archived contract approval.
- LastUpdatedBy; string; The user who last updated the archived contract approval.
- ObjectVersionNumber; integer; The object version number of the archived contract approval.
- Outcome; string; The outcome of the archived contract approval.
- Participant; string; The participant of the archived contract approval.
- ParticipantCode; string; The participant code of the archived contract approval.
- PersonNameId; integer; The person name ID of the archived contract approval.
- RootTaskId; string; The root task ID of the archived contract approval.
- Stage; string; The stage of the archived contract approval.
- StageCode; string; The stage code of the archived contract approval.
- TaskId; string; The task ID of the archived contract approval.
- UserId; integer; The user ID of the archived contract approval.
- Username; string; The user name of the archived contract approval.
- Version; number; The version of the archived contract approval.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : contracts-ContractArchivedApproval
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : contracts-ContractArchivedApproval-item-response
Type:
Show Source
object-
AcquiredBy: string
Read Only:
trueMaximum Length:400The acquired by user of the archived contract approval. -
ActionDate: string
(date-time)
Read Only:
trueThe action date of the archived contract approval. -
Assignee: string
Read Only:
trueMaximum Length:400The assignee of the archived contract approval. -
AssigneeType: string
Read Only:
trueMaximum Length:20The assignee type of the archived contract approval. -
CompletedDate: string
(date-time)
Title:
Completion DateRead Only:trueThe completion date of the archived contract approval. -
CreatedBy: string
Read Only:
trueMaximum Length:64The user who created the archived contract approval. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the archived contract approval. -
DisplayName: string
Title:
AssigneeRead Only:trueMaximum Length:360The display name of the archived contract approval. -
Domain: string
Read Only:
trueMaximum Length:64The domain of the archived contract approval. -
EffectiveEndDate: string
(date)
Read Only:
trueThe effective end date of the archived contract approval. -
EffectiveStartDate: string
(date)
Read Only:
trueThe effective start date of the archived contract approval. -
IdentificationKey: string
Read Only:
trueMaximum Length:100The identification key of the archived contract approval. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe last update date of the archived contract approval. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64The user who last updated the archived contract approval. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Read Only:
trueThe object version number of the archived contract approval. -
Outcome: string
Title:
OutcomeRead Only:trueMaximum Length:100The outcome of the archived contract approval. -
Participant: string
Read Only:
trueMaximum Length:200The participant of the archived contract approval. -
ParticipantCode: string
Read Only:
trueMaximum Length:200The participant code of the archived contract approval. -
PersonNameId: integer
(int64)
Read Only:
trueThe person name ID of the archived contract approval. -
RootTaskId: string
Read Only:
trueMaximum Length:64The root task ID of the archived contract approval. -
Stage: string
Title:
StageRead Only:trueMaximum Length:200The stage of the archived contract approval. -
StageCode: string
Read Only:
trueMaximum Length:200The stage code of the archived contract approval. -
TaskId: string
Read Only:
trueMaximum Length:64The task ID of the archived contract approval. -
UserId: integer
(int64)
Read Only:
trueThe user ID of the archived contract approval. -
Username: string
Read Only:
trueMaximum Length:100The user name of the archived contract approval. -
Version: number
Read Only:
trueThe version of the archived contract approval.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.